{% extends "base.html" %}

{% block content %}
<div class="components-container">
  <h3>Example Scenarios</h3>

  <div class="spacer-div"></div>

  {% for scenario in scenario_list %}
  <div class="card card-outline">
    <h5 class="card-header text-center text-uppercase">
      <a href="{{ scenario.link }}" class="card-link text-dark"
        >{{ scenario.name }}</a
      >
      <div class="float-right">
        <a href="#view-components">
          <button
            type="submit"
            class="scenario-button"
            style="line-height: normal !important"
          >
            View Components
          </button>
        </a>
      </div>
    </h5>
    <div class="card-body">
      <p class="card-text">{{ scenario.description }}</p>
      <div class="row scenario-row float-left">
        <div class="col-12">
          <p class="card-text" style="display: inline">
            Tags: {{ scenario.tags }}
          </p>
        </div>
      </div>

      <div id="outer">
        <div class="float-right">
          <a
            href="#download-results"
            class="btn btn-outline-primary btn-rounded scenario-button disabled"
            aria-disabled="true"
            style="margin-top: 0.5px"
          >
            Download Results
          </a>
        </div>
        <div class="float-right">
          <a href="#run-simulation">
            <button
              type="button"
              class="btn-primary scenario-button"
              style="line-height: normal !important"
            >
              Run Simulation
            </button>
          </a>
        </div>
      </div>
    </div>
  </div>

  <div class="spacer-div"></div>
  {% endfor %}
</div>

{% endblock %}
